Index: /trunk/anuga_core/source/.coveragerc
===================================================================
--- /trunk/anuga_core/source/.coveragerc	(revision 9500)
+++ /trunk/anuga_core/source/.coveragerc	(revision 9500)
@@ -0,0 +1,8 @@
+
+
+[run]
+omit = */test/* *__init__*
+
+
+
+
Index: /trunk/anuga_core/source/anuga/__init__.py
===================================================================
--- /trunk/anuga_core/source/anuga/__init__.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga/__init__.py	(revision 9500)
@@ -86,12 +86,21 @@
 # Parallel api 
 #----------------------------
-from anuga_parallel.parallel_api import distribute
-from anuga_parallel.parallel_api import myid, numprocs, get_processor_name
-from anuga_parallel.parallel_api import send, receive
-from anuga_parallel.parallel_api import pypar_available, barrier, finalize
+## from anuga_parallel.parallel_api import distribute
+## from anuga_parallel.parallel_api import myid, numprocs, get_processor_name
+## from anuga_parallel.parallel_api import send, receive
+## from anuga_parallel.parallel_api import pypar_available, barrier, finalize
+
+## if pypar_available:
+##     from anuga_parallel.parallel_api import sequential_distribute_dump
+##     from anuga_parallel.parallel_api import sequential_distribute_load
+
+from anuga.parallel.parallel_api import distribute
+from anuga.parallel.parallel_api import myid, numprocs, get_processor_name
+from anuga.parallel.parallel_api import send, receive
+from anuga.parallel.parallel_api import pypar_available, barrier, finalize
 
 if pypar_available:
-    from anuga_parallel.parallel_api import sequential_distribute_dump
-    from anuga_parallel.parallel_api import sequential_distribute_load
+    from anuga.parallel.parallel_api import sequential_distribute_dump
+    from anuga.parallel.parallel_api import sequential_distribute_load
 
 
@@ -226,8 +235,8 @@
 
 if pypar_available:
-    from anuga_parallel.parallel_operator_factory import Inlet_operator
-    from anuga_parallel.parallel_operator_factory import Boyd_box_operator
-    from anuga_parallel.parallel_operator_factory import Boyd_pipe_operator
-    from anuga_parallel.parallel_operator_factory import Weir_orifice_trapezoid_operator
+    from anuga.parallel.parallel_operator_factory import Inlet_operator
+    from anuga.parallel.parallel_operator_factory import Boyd_box_operator
+    from anuga.parallel.parallel_operator_factory import Boyd_pipe_operator
+    from anuga.parallel.parallel_operator_factory import Weir_orifice_trapezoid_operator
 else:
     from anuga.structures.inlet_operator import Inlet_operator
Index: /trunk/anuga_core/source/anuga/utilities/quad_tree.c
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/quad_tree.c	(revision 9499)
+++ /trunk/anuga_core/source/anuga/utilities/quad_tree.c	(revision 9500)
@@ -340,6 +340,6 @@
 void quad_tree_make_children(quad_tree *node){
 
-  double xmid = (node->xmin+node->xmax)/2;
-  double ymid = (node->ymin+node->ymax)/2;
+  //double xmid = (node->xmin+node->xmax)/2;
+  //double ymid = (node->ymin+node->ymax)/2;
   double width = (node->xmax-node->xmin);
   double height = (node->ymax-node->ymin);
Index: /trunk/anuga_core/source/anuga/utilities/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/setup.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga/utilities/setup.py	(revision 9500)
@@ -16,5 +16,5 @@
 
     config.add_extension('sparse_matrix_ext',
-                         sources='sparse_matrix_ext.c')
+                         sources=['sparse_matrix_ext.c', 'sparse_dok.c'])
 
 
@@ -24,5 +24,6 @@
     config.add_extension('cg_ext',
                          sources='cg_ext.c',
-                         extra_compile_args=['-fopenmp'])
+                         extra_compile_args=['-fopenmp'],
+                         extra_link_args=['-fopenmp'])
 
     config.add_extension('quad_tree_ext',
Index: /trunk/anuga_core/source/anuga_parallel/distribute_mesh.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/distribute_mesh.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/distribute_mesh.py	(revision 9500)
@@ -32,5 +32,5 @@
     import local_config as config
 except:
-    import anuga_parallel.config as config
+    import config as config
 
 
Index: /trunk/anuga_core/source/anuga_parallel/parallel_api.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/parallel_api.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/parallel_api.py	(revision 9500)
@@ -15,16 +15,16 @@
 # ANUGA parallel engine (only load if pypar can)
 if pypar_available:
-    from anuga_parallel.sequential_distribute import sequential_distribute_dump
-    from anuga_parallel.sequential_distribute import sequential_distribute_load
-    
-    from anuga_parallel.distribute_mesh  import send_submesh
-    from anuga_parallel.distribute_mesh  import rec_submesh
-    from anuga_parallel.distribute_mesh  import extract_submesh
+    from anuga.parallel.sequential_distribute import sequential_distribute_dump
+    from anuga.parallel.sequential_distribute import sequential_distribute_load
+    
+    from anuga.parallel.distribute_mesh  import send_submesh
+    from anuga.parallel.distribute_mesh  import rec_submesh
+    from anuga.parallel.distribute_mesh  import extract_submesh
 
     # Mesh partitioning using Metis
-    from anuga_parallel.distribute_mesh import build_submesh
-    from anuga_parallel.distribute_mesh import pmesh_divide_metis_with_map
-
-    from anuga_parallel.parallel_shallow_water import Parallel_domain
+    from anuga.parallel.distribute_mesh import build_submesh
+    from anuga.parallel.distribute_mesh import pmesh_divide_metis_with_map
+
+    from anuga.parallel.parallel_shallow_water import Parallel_domain
     
     
Index: /trunk/anuga_core/source/anuga_parallel/parallel_operator_factory.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/parallel_operator_factory.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/parallel_operator_factory.py	(revision 9500)
@@ -19,5 +19,5 @@
 from parallel_weir_orifice_trapezoid_operator import Parallel_Weir_orifice_trapezoid_operator#added by PM 22/10/2013
 
-from anuga_parallel import distribute, myid, numprocs, finalize
+from . import distribute, myid, numprocs, finalize
 from anuga.geometry.polygon import inside_polygon, is_inside_polygon, line_intersect
 
@@ -29,5 +29,5 @@
 
 from anuga.utilities.numerical_tools import ensure_numeric
-from anuga_parallel.parallel_shallow_water import Parallel_domain
+from anuga.parallel.parallel_shallow_water import Parallel_domain
 
 import math
Index: /trunk/anuga_core/source/anuga_parallel/parallel_shallow_water.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/parallel_shallow_water.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/parallel_shallow_water.py	(revision 9500)
@@ -14,5 +14,6 @@
 from anuga import Domain
 
-import anuga_parallel.parallel_generic_communications as generic_comms
+import parallel_generic_communications as generic_comms
+
 import anuga.utilities.parallel_abstraction as pypar
 
Index: /trunk/anuga_core/source/anuga_parallel/sequential_distribute.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/sequential_distribute.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/sequential_distribute.py	(revision 9500)
@@ -9,13 +9,13 @@
 from anuga import Domain
 
-from anuga_parallel.distribute_mesh  import send_submesh
-from anuga_parallel.distribute_mesh  import rec_submesh
-from anuga_parallel.distribute_mesh  import extract_submesh
+from anuga.parallel.distribute_mesh  import send_submesh
+from anuga.parallel.distribute_mesh  import rec_submesh
+from anuga.parallel.distribute_mesh  import extract_submesh
 
 # Mesh partitioning using Metis
-from anuga_parallel.distribute_mesh import build_submesh
-from anuga_parallel.distribute_mesh import pmesh_divide_metis_with_map
-
-from anuga_parallel.parallel_shallow_water import Parallel_domain
+from anuga.parallel.distribute_mesh import build_submesh
+from anuga.parallel.distribute_mesh import pmesh_divide_metis_with_map
+
+from anuga.parallel.parallel_shallow_water import Parallel_domain
 
 
Index: /trunk/anuga_core/source/anuga_parallel/test/test_distribute_mesh.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test/test_distribute_mesh.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/test/test_distribute_mesh.py	(revision 9500)
@@ -9,8 +9,8 @@
 from anuga import rectangular_cross
 
-from anuga_parallel.distribute_mesh import pmesh_divide_metis
-from anuga_parallel.distribute_mesh import build_submesh
-from anuga_parallel.distribute_mesh import submesh_full, submesh_ghost, submesh_quantities
-from anuga_parallel.distribute_mesh import extract_submesh, rec_submesh, send_submesh
+from anuga.parallel.distribute_mesh import pmesh_divide_metis
+from anuga.parallel.distribute_mesh import build_submesh
+from anuga.parallel.distribute_mesh import submesh_full, submesh_ghost, submesh_quantities
+from anuga.parallel.distribute_mesh import extract_submesh, rec_submesh, send_submesh
 
 import numpy as num
Index: /trunk/anuga_core/source/anuga_parallel/test/test_failure.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/test/test_failure.py	(revision 9499)
+++ /trunk/anuga_core/source/anuga_parallel/test/test_failure.py	(revision 9500)
@@ -20,5 +20,5 @@
 import numpy as num
 #from parallel_inlet_operator import Parallel_Inlet_operator
-from anuga_parallel import distribute, myid, numprocs, finalize
+from anuga.parallel import distribute, myid, numprocs, finalize
 from anuga.geometry.polygon import inside_polygon, is_inside_polygon, line_intersect
 
Index: /trunk/anuga_core/source/setup.cfg
===================================================================
--- /trunk/anuga_core/source/setup.cfg	(revision 9500)
+++ /trunk/anuga_core/source/setup.cfg	(revision 9500)
@@ -0,0 +1,3 @@
+
+[pytest]
+addopts = --ignore=setup.py --cov-report term --cov .