Index: /trunk/anuga_core/compile_all.py
===================================================================
--- /trunk/anuga_core/compile_all.py	(revision 9502)
+++ /trunk/anuga_core/compile_all.py	(revision 9503)
@@ -41,4 +41,5 @@
 
 os.chdir(buildroot)
+print
 print 'Changing to', os.getcwd()        
 
@@ -48,4 +49,5 @@
 
 try:
+    print
     print '-----------------------------------------------'
     print 'Attempting to compile Metis'
@@ -56,5 +58,6 @@
     # Attempt to compile Metis for use with anuga_parallel
     os.chdir('source')
-    os.chdir('anuga_parallel')
+    os.chdir('anuga')
+    os.chdir('parallel')
     os.chdir('pymetis')
 
@@ -85,4 +88,5 @@
         
 except:
+    print 
     print 'pymetis could not compile as pypar not installed'
 
@@ -104,5 +108,6 @@
     
     os.chdir('source')
-    os.chdir('anuga_parallel')
+    os.chdir('anuga')
+    os.chdir('parallel')
     os.chdir('pypar_extras')
 
@@ -120,5 +125,5 @@
         print msg
 except:
-    print 'anuga_parallel code not compiled as pypar not installed'
+    print 'anuga.parallel code not compiled as pypar not installed'
 
 
Index: /trunk/anuga_core/source/anuga/parallel/test/test_parallel_boyd_box_operator.py
===================================================================
--- /trunk/anuga_core/source/anuga/parallel/test/test_parallel_boyd_box_operator.py	(revision 9502)
+++ /trunk/anuga_core/source/anuga/parallel/test/test_parallel_boyd_box_operator.py	(revision 9503)
@@ -196,35 +196,4 @@
         boyd_box0.print_statistics()
 
-#    if parallel:
-#        factory = Parallel_operator_factory(domain, verbose = True)
-#
-#        inlet0 = factory.inlet_operator_factory(line0, Q0)
-#        inlet1 = factory.inlet_operator_factory(line1, Q1)
-#        
-#        boyd_box0 = factory.boyd_box_operator_factory(end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                                          losses=1.5,
-#                                          width=1.5,
-#                                          apron=5.0,
-#                                          use_momentum_jet=True,
-#                                          use_velocity_head=False,
-#                                          manning=0.013,
-#                                          verbose=False)
-#
-#    else:
-#        inlet0 = Inlet_operator(domain, line0, Q0)
-#        inlet1 = Inlet_operator(domain, line1, Q1)
-#
-#        # Enquiry point [ 19.    2.5] is contained in two domains in 4 proc case
-#        boyd_box0 = Boyd_box_operator(domain,
-#                          end_points=[[9.0, 2.5],[19.0, 2.5]],
-#                          losses=1.5,
-#                          width=1.5,
-#                          apron=5.0,
-#                          use_momentum_jet=True,
-#                          use_velocity_head=False,
-#                          manning=0.013,
-#                          verbose=False)
-    
-    #######################################################################
 
     ##-----------------------------------------------------------------------
@@ -246,7 +215,4 @@
                 boyd_box0.print_timestepping_statistics()
  
-        #for i in range(samples):
-        #    if tri_ids[i] >= 0:                
-        #        if verbose: print 'P%d tri %d, value = %s' %(myid, i, stage.centroid_values[tri_ids[i]])
                     
         sys.stdout.flush()
@@ -311,4 +277,5 @@
         assert(success)
 
+        
     return control_data
 
Index: /trunk/anuga_core/source/anuga/test_all.py
===================================================================
--- /trunk/anuga_core/source/anuga/test_all.py	(revision 9502)
+++ /trunk/anuga_core/source/anuga/test_all.py	(revision 9503)
@@ -33,5 +33,5 @@
 
 # Directories that should not be searched for test files.
-exclude_dirs = ['shallow_water_balanced' , #'damage_modelling', # Special requirements
+exclude_dirs = ['shallow_water_balanced' , 'parallel', # Special requirements
                 '.svn',          # subversion
                 'props', 'wcprops', 'prop-base', 'text-base', 'tmp']
Index: /trunk/anuga_core/source/anuga_parallel/__init__.py
===================================================================
--- /trunk/anuga_core/source/anuga_parallel/__init__.py	(revision 9502)
+++ /trunk/anuga_core/source/anuga_parallel/__init__.py	(revision 9503)
@@ -6,24 +6,19 @@
 """
 
-# Lets import the standard anuga interface
-#from anuga import *
-
-
-from parallel_api import distribute
-from parallel_api import myid, numprocs, get_processor_name
-from parallel_api import send, receive
-from parallel_api import pypar_available, barrier, finalize
-
-if pypar_available:
-    from parallel_meshes import parallel_rectangle
-    from parallel_shallow_water import Parallel_domain as Parallel_shallow_water_domain
-    from parallel_advection     import Parallel_domain as Parallel_advection_domain
-    from parallel_operator_factory import Inlet_operator, Boyd_box_operator, Boyd_pipe_operator
-    from parallel_operator_factory import Weir_orifice_trapezoid_operator #added by PM 22/10/2013
-else:
-    from anuga import rectangular_cross as parallel_rectangle
-    from anuga import Domain as Parallel_shallow_water_domain
-    from anuga.advection import Advection_Domain as Parallel_advection_domain
 
 
 
+from anuga.parallel import *
+
+print '#'+50*'='
+print '# '
+print '# WARNING '
+print '# '
+print '# anuga_parallel moved to anuga.parallel '
+print '# '
+print '# Change your anuga_parallel imports'
+print '#'+50*'='
+
+
+
+
Index: /trunk/anuga_core/source/setup.cfg
===================================================================
--- /trunk/anuga_core/source/setup.cfg	(revision 9502)
+++ /trunk/anuga_core/source/setup.cfg	(revision 9503)
@@ -1,3 +1,3 @@
 
 [pytest]
-addopts = --ignore=setup.py --cov-report term --cov .
+addopts = --ignore=setup.py --ignore=anuga/parallel --cov-report term --cov .
Index: /trunk/anuga_core/test_all.py
===================================================================
--- /trunk/anuga_core/test_all.py	(revision 9502)
+++ /trunk/anuga_core/test_all.py	(revision 9503)
@@ -16,12 +16,4 @@
 
 
-#os.chdir(buildroot)
-#os.chdir('source')
-#os.chdir('anuga_1d')
-#print
-#print '======================= anuga_1d tests ================================='    
-#print 'Changing to', os.getcwd() # This is now different from buildroot   
-#xecfile('test_all.py')
-
 
 
@@ -32,12 +24,13 @@
     os.chdir(buildroot)
     os.chdir('source')
-    os.chdir('anuga_parallel')
+    os.chdir('anuga')
+    os.chdir('parallel')
     os.chdir('test')
     print
-    print '===================== anuga_parallel tests =========================='
+    print '===================== anuga parallel tests =========================='
     print 'Changing to', os.getcwd()
     execfile('test_all.py')
 else:
-    print 'anuga_parallel tests not run as pypar not installed'
+    print 'anuga.parallel tests not run as pypar not installed'
 
 
@@ -47,6 +40,6 @@
 # FIXME SR 20130327: Just commenting out this comment to run the validation tests.
 # We are currently undating the automated validation tests, so at present this point to
-# something which most people do get as part of the download. We will update and
-# point them to the new anuga_validation_tests in future.
+# something which most people do not get as part of the download. We will update and
+# point them to the new validation_tests in future.
 """
 print