Index: /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/abstract_2d_finite_volumes/setup.py	(revision 9569)
@@ -17,5 +17,5 @@
     config = Configuration('abstract_2d_finite_volumes', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))    
Index: /trunk/anuga_core/source/anuga/advection/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/advection/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/advection/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('advection', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/caching/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/caching/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/caching/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('caching', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/coordinate_transforms/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/coordinate_transforms/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/coordinate_transforms/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('coordinate_transforms', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/culvert_flows/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/culvert_flows/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/culvert_flows/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('culvert_flows', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/damage_modelling/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/damage_modelling/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/damage_modelling/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('damage_modelling', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/file/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/file/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/file/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('file', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/file_conversion/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/file_conversion/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/file_conversion/setup.py	(revision 9569)
@@ -13,6 +13,6 @@
     config = Configuration('file_conversion', parent_package, top_path)
 
-    config.add_data_dir('test')
-    config.add_data_dir(join('test','data'))
+    config.add_data_dir('tests')
+    config.add_data_dir(join('tests','data'))
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/fit_interpolate/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/fit_interpolate/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/fit_interpolate/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('fit_interpolate', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
 
Index: /trunk/anuga_core/source/anuga/geometry/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/geometry/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/geometry/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('geometry', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/geospatial_data/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/geospatial_data/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/geospatial_data/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('geospatial_data', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/lib/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/lib/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/lib/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('lib', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     
Index: /trunk/anuga_core/source/anuga/load_mesh/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/load_mesh/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/load_mesh/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('load_mesh', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     return config
Index: /trunk/anuga_core/source/anuga/mesh_engine/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/mesh_engine/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/mesh_engine/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('mesh_engine', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/operators/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/operators/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/operators/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('operators', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/parallel/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/parallel/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/parallel/setup.py	(revision 9569)
@@ -69,5 +69,5 @@
     config = Configuration('parallel', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
     config.add_data_dir('data')
 
Index: /trunk/anuga_core/source/anuga/pmesh/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/pmesh/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/pmesh/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('pmesh', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
     config.add_data_dir('icons')    
 
Index: /trunk/anuga_core/source/anuga/pymetis/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/pymetis/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/pymetis/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('pymetis', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
 
     if parent_package is '':
Index: /trunk/anuga_core/source/anuga/shallow_water/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/shallow_water/setup.py	(revision 9569)
@@ -13,6 +13,6 @@
     config = Configuration('shallow_water', parent_package, top_path)
 
-    config.add_data_dir('test')
-    config.add_data_dir(join('test','data'))
+    config.add_data_dir('tests')
+    config.add_data_dir(join('tests','data'))
 
     util_dir = os.path.abspath(join(os.path.dirname(__file__),'..','utilities'))
Index: /trunk/anuga_core/source/anuga/structures/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/structures/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/structures/setup.py	(revision 9569)
@@ -13,5 +13,5 @@
     config = Configuration('structures', parent_package, top_path)
 
-    config.add_data_dir('test')
+    config.add_data_dir('tests')
     config.add_data_dir(join('test','data'))
 
Index: /trunk/anuga_core/source/anuga/tsunami_source/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/tsunami_source/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/tsunami_source/setup.py	(revision 9569)
@@ -13,6 +13,6 @@
     config = Configuration('tsunami_source', parent_package, top_path)
 
-    config.add_data_dir('test')
-    config.add_data_dir(join('test','data'))
+    config.add_data_dir('tests')
+    config.add_data_dir(join('tests','data'))
 
     
Index: /trunk/anuga_core/source/anuga/utilities/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/utilities/setup.py	(revision 9569)
@@ -11,6 +11,6 @@
     config = Configuration('utilities', parent_package, top_path)
 
-    config.add_data_dir('test')
-    config.add_data_dir(join('test','data'))
+    config.add_data_dir('tests')
+    config.add_data_dir(join('tests','data'))
 
     config.add_extension('sparse_ext',
Index: /trunk/anuga_core/source/anuga/validation_utilities/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/validation_utilities/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/validation_utilities/setup.py	(revision 9569)
@@ -13,6 +13,6 @@
     config = Configuration('validation_utilities', parent_package, top_path)
 
-    #config.add_data_dir('test')
-    #config.add_data_dir(join('test','data'))
+    #config.add_data_dir('tests')
+    #config.add_data_dir(join('tests','data'))
     
     return config
Index: /trunk/anuga_core/source/anuga/visualiser/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/visualiser/setup.py	(revision 9568)
+++ /trunk/anuga_core/source/anuga/visualiser/setup.py	(revision 9569)
@@ -13,6 +13,6 @@
     config = Configuration('visualiser', parent_package, top_path)
 
-    #config.add_data_dir('test')
-    #config.add_data_dir(join('test','data'))
+    #config.add_data_dir('tests')
+    #config.add_data_dir(join('tests','data'))
     
     return config