Index: /trunk/anuga_core/source/anuga/coordinate_transforms/tests/test_geo_reference.py
===================================================================
--- /trunk/anuga_core/source/anuga/coordinate_transforms/tests/test_geo_reference.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/coordinate_transforms/tests/test_geo_reference.py	(revision 9573)
@@ -605,5 +605,5 @@
         abs_points = geo.get_absolute(points)
         # check we haven't changed 'points' itself
-        self.failIf(num.alltrue(abs_points == points))
+        self.assertFalse(num.alltrue(abs_points == points))
         new_points = abs_points.copy()
         new_points[:,0] -= x0
@@ -615,5 +615,5 @@
         abs_points = geo.get_absolute(points)
         # check we haven't changed 'points' itself
-        self.failIf(num.alltrue(abs_points == points))
+        self.assertFalse(num.alltrue(abs_points == points))
         new_points = abs_points.copy()
         new_points[:,0] -= x0
Index: /trunk/anuga_core/source/anuga/load_mesh/tests/test_loadASCII.py
===================================================================
--- /trunk/anuga_core/source/anuga/load_mesh/tests/test_loadASCII.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/load_mesh/tests/test_loadASCII.py	(revision 9573)
@@ -519,5 +519,5 @@
             self.fail('imaginary file did not raise error!')
 
-    def throws_error_2_screen_test_import_mesh_bad(self):
+    def throws_error_2_screen_import_mesh_bad(self):
         fileName = tempfile.mktemp('.msh')
         file = open(fileName, 'w')
Index: /trunk/anuga_core/source/anuga/setup.py
===================================================================
--- /trunk/anuga_core/source/anuga/setup.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/setup.py	(revision 9573)
@@ -33,5 +33,5 @@
     config.add_subpackage('utilities')
     config.add_subpackage('validation_utilities')
-    config.add_subpackage('visualiser')
+
       
     config.make_config_py()
Index: /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py
===================================================================
--- /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/shallow_water/shallow_water_domain.py	(revision 9573)
@@ -1406,5 +1406,5 @@
     def get_water_volume(self):
     
-        from anuga import myid, numprocs, send, receive, barrier
+        from anuga import numprocs
 
         #print self.evolved_called
@@ -1428,4 +1428,11 @@
             Height = Stage-Elev
             volume = Height.get_integral()
+
+        if numprocs ==1:
+            self.volume_history.append(volume) 
+            return volume
+
+        # isolated parallel code
+        from anuga import myid, send, receive, barrier
             
         if myid == 0:
@@ -1454,5 +1461,5 @@
         """
     
-        from anuga import myid, numprocs, send, receive, barrier
+        from anuga import numprocs
 
         if not self.compute_fluxes_method=='DE':
@@ -1462,5 +1469,11 @@
             
         flux_integral = self.boundary_flux_integral.boundary_flux_integral
-            
+
+        if numprocs == 1:
+            return flux_integral
+
+        # isolate parallel code
+        from anuga import myid, send, receive, barrier
+        
         if myid == 0:
             for i in range(1,numprocs):
@@ -1488,8 +1501,14 @@
         """
     
-        from anuga import myid, numprocs, send, receive, barrier
+        from anuga import numprocs
 
         flux_integral = self.fractional_step_volume_integral
-            
+
+        if numprocs == 1:
+            return flux_integral
+
+        # isolate parallel code
+        from anuga import myid, send, receive, barrier
+                
         if myid == 0:
             for i in range(1,numprocs):
Index: /trunk/anuga_core/source/anuga/utilities/tests/test_numerical_tools.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/tests/test_numerical_tools.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/utilities/tests/test_numerical_tools.py	(revision 9573)
@@ -129,5 +129,5 @@
         self.assertRaises(Exception, ensure_numeric(num.array(('abc',))))
 
-    def NO_test_ensure_numeric_char(self):
+    def NO_ensure_numeric_char(self):
         '''numpy can't handle this'''
 
Index: /trunk/anuga_core/source/anuga/utilities/tests/test_plot_utils.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/tests/test_plot_utils.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/utilities/tests/test_plot_utils.py	(revision 9573)
@@ -99,5 +99,5 @@
         return 
 
-    def basic_tests(self):
+    def basic_checks(self):
         """
             Check that dimensions are as required, and that
@@ -138,5 +138,5 @@
         self.everything_equal(p3, 4, p2, 4)
 
-    def velExtrap_timeSlices_test(self, ve):
+    def velExtrap_timeSlices_check(self, ve):
         """
 
@@ -251,5 +251,5 @@
                 print flowAlg
             self.create_domain(InitialOceanStage=1., InitialLandStage=0., flowAlg=flowAlg, verbose=verbose)
-            self.basic_tests()
+            self.basic_checks()
 
         os.remove('test_plot_utils.sww')
@@ -265,6 +265,6 @@
             self.create_domain(InitialOceanStage=1., InitialLandStage=0., flowAlg=flowAlg, verbose=verbose)
             # Test time-slices with velocity_extrapolation=True
-            self.velExtrap_timeSlices_test(ve=True)
-            self.velExtrap_timeSlices_test(ve=False)
+            self.velExtrap_timeSlices_check(ve=True)
+            self.velExtrap_timeSlices_check(ve=False)
             
         os.remove('test_plot_utils.sww')
Index: /trunk/anuga_core/source/anuga/utilities/tests/test_system_tools.py
===================================================================
--- /trunk/anuga_core/source/anuga/utilities/tests/test_system_tools.py	(revision 9572)
+++ /trunk/anuga_core/source/anuga/utilities/tests/test_system_tools.py	(revision 9573)
@@ -144,5 +144,5 @@
 
     # helper routine to test clean_line()
-    def clean_line_test(self, instr, delim, expected):
+    def clean_line_helper(self, instr, delim, expected):
         result = clean_line(instr, delim)
         self.assertTrue(result == expected,
@@ -151,37 +151,37 @@
 
     def test_clean_line_01(self):
-        self.clean_line_test('abc, ,,xyz,123', ',', ['abc', '', 'xyz', '123'])
+        self.clean_line_helper('abc, ,,xyz,123', ',', ['abc', '', 'xyz', '123'])
 
     def test_clean_line_02(self):
-        self.clean_line_test(' abc , ,, xyz  , 123  ', ',',
+        self.clean_line_helper(' abc , ,, xyz  , 123  ', ',',
                              ['abc', '', 'xyz', '123'])
 
     def test_clean_line_03(self):
-        self.clean_line_test('1||||2', '|', ['1', '2'])
+        self.clean_line_helper('1||||2', '|', ['1', '2'])
 
     def test_clean_line_04(self):
-        self.clean_line_test('abc, ,,xyz,123, ', ',',
+        self.clean_line_helper('abc, ,,xyz,123, ', ',',
                              ['abc', '', 'xyz', '123']) 
 
     def test_clean_line_05(self):
-        self.clean_line_test('abc, ,,xyz,123, ,    ', ',',
+        self.clean_line_helper('abc, ,,xyz,123, ,    ', ',',
                              ['abc', '', 'xyz', '123', ''])
 
     def test_clean_line_06(self):
-        self.clean_line_test(',,abc, ,,xyz,123, ,    ', ',',
+        self.clean_line_helper(',,abc, ,,xyz,123, ,    ', ',',
                              ['abc', '', 'xyz', '123', ''])
 
     def test_clean_line_07(self):
-        self.clean_line_test('|1||||2', '|', ['1', '2'])
+        self.clean_line_helper('|1||||2', '|', ['1', '2'])
 
     def test_clean_line_08(self):
-        self.clean_line_test(' ,a,, , ,b,c , ,, , ', ',',
+        self.clean_line_helper(' ,a,, , ,b,c , ,, , ', ',',
                              ['a', '', '', 'b', 'c', '', ''])
 
     def test_clean_line_09(self):
-        self.clean_line_test('a:b:c', ':', ['a', 'b', 'c'])
+        self.clean_line_helper('a:b:c', ':', ['a', 'b', 'c'])
 
     def test_clean_line_10(self):
-        self.clean_line_test('a:b:c:', ':', ['a', 'b', 'c'])
+        self.clean_line_helper('a:b:c:', ':', ['a', 'b', 'c'])
 
 ################################################################################
@@ -466,5 +466,9 @@
 
         x = get_revision_number()
-        assert int(x)
+        x = x.split('.')
+
+        assert int(x[0])
+        assert int(x[1])
+        assert int(x[2])
 
 ################################################################################