Index: /trunk/anuga_core/CONTRIBUTING.rst
===================================================================
--- /trunk/anuga_core/CONTRIBUTING.rst	(revision 9635)
+++ /trunk/anuga_core/CONTRIBUTING.rst	(revision 9635)
@@ -0,0 +1,147 @@
+
+Contributing code
+=================
+
+**Note: This document is just to get started, visit [**Contributing
+page**](http://scikit-learn.org/stable/developers/index.html)
+for the full contributor's guide. Please be sure to read it carefully to make
+the code review process go as smoothly as possible and maximize the
+likelihood of your contribution being merged.**
+
+How to contribute
+-----------------
+
+The preferred way to contribute to scikit-learn is to fork the 
+[main repository](http://github.com/scikit-learn/scikit-learn/) on
+GitHub:
+
+1. Fork the [project repository](http://github.com/scikit-learn/scikit-learn):
+   click on the 'Fork' button near the top of the page. This creates
+   a copy of the code under your account on the GitHub server.
+
+2. Clone this copy to your local disk:
+
+          $ git clone git@github.com:YourLogin/scikit-learn.git
+          $ cd scikit-learn
+
+3. Create a branch to hold your changes:
+
+          $ git checkout -b my-feature
+
+   and start making changes. Never work in the ``master`` branch!
+
+4. Work on this copy on your computer using Git to do the version
+   control. When you're done editing, do:
+
+          $ git add modified_files
+          $ git commit
+
+   to record your changes in Git, then push them to GitHub with:
+
+          $ git push -u origin my-feature
+
+Finally, go to the web page of the your fork of the scikit-learn repo,
+and click 'Pull request' to send your changes to the maintainers for
+review. request. This will send an email to the committers.
+
+(If any of the above seems like magic to you, then look up the 
+[Git documentation](http://git-scm.com/documentation) on the web.)
+
+It is recommended to check that your contribution complies with the
+following rules before submitting a pull request:
+
+-  All public methods should have informative docstrings with sample
+   usage presented as doctests when appropriate.
+
+-  All other tests pass when everything is rebuilt from scratch. On
+   Unix-like systems, check with (from the toplevel source folder):
+
+          $ make
+
+-  When adding additional functionality, provide at least one
+   example script in the ``examples/`` folder. Have a look at other
+   examples for reference. Examples should demonstrate why the new
+   functionality is useful in practice and, if possible, compare it
+   to other methods available in scikit-learn.
+
+-  At least one paragraph of narrative documentation with links to
+````   references in the literature (with PDF links when possible) and
+   the example.
+
+The documentation should also include expected time and space
+complexity of the algorithm and scalability, e.g. "this algorithm
+can scale to a large number of samples > 100000, but does not
+scale in dimensionality: n_features is expected to be lower than
+100".
+
+You can also check for common programming errors with the following
+tools:
+
+-  Code with good unittest coverage (at least 80%), check with:
+
+          $ pip install nose coverage
+          $ nosetests --with-coverage path/to/tests_for_package
+
+-  No pyflakes warnings, check with:
+
+           $ pip install pyflakes
+           $ pyflakes path/to/module.py
+
+-  No PEP8 warnings, check with:
+
+           $ pip install pep8
+           $ pep8 path/to/module.py
+
+-  AutoPEP8 can help you fix some of the easy redundant errors:
+
+           $ pip install autopep8
+           $ autopep8 path/to/pep8.py
+
+Bonus points for contributions that include a performance analysis with
+a benchmark script and profiling output (please report on the mailing
+list or on the GitHub issue).
+
+Easy Issues
+-----------
+
+A great way to start contributing to scikit-learn is to pick an item
+from the list of [Easy issues](https://github.com/scikit-learn/scikit-learn/issues?labels=Easy)
+in the issue tracker. Resolving these issues allow you to start
+contributing to the project without much prior knowledge. Your
+assistance in this area will be greatly appreciated by the more
+experienced developers as it helps free up their time to concentrate on
+other issues.
+
+Documentation
+-------------
+
+We are glad to accept any sort of documentation: function docstrings,
+reStructuredText documents (like this one), tutorials, etc.
+reStructuredText documents live in the source code repository under the
+doc/ directory.
+
+You can edit the documentation using any text editor and then generate
+the HTML output by typing ``make html`` from the doc/ directory.
+Alternatively, ``make`` can be used to quickly generate the
+documentation without the example gallery. The resulting HTML files will
+be placed in _build/html/ and are viewable in a web browser. See the
+README file in the doc/ directory for more information.
+
+For building the documentation, you will need
+[sphinx](http://sphinx.pocoo.org/),
+[matplotlib](http://matplotlib.sourceforge.net/), and
+[pillow](http://pillow.readthedocs.org/en/latest/).
+
+When you are writing documentation, it is important to keep a good
+compromise between mathematical and algorithmic details, and give
+intuition to the reader on what the algorithm does. It is best to always
+start with a small paragraph with a hand-waving explanation of what the
+method does to the data and a figure (coming from an example)
+illustrating it.
+
+Further Information
+-------------------
+
+Visit the [Contributing Code](http://scikit-learn.org/stable/developers/index.html#coding-guidelines)
+section of the website for more information including conforming to the 
+API spec and profiling contributed code.
Index: /trunk/anuga_core/INSTALL.rst
===================================================================
--- /trunk/anuga_core/INSTALL.rst	(revision 9634)
+++ /trunk/anuga_core/INSTALL.rst	(revision 9635)
@@ -1,9 +1,4 @@
 
 
-.. image:: https://travis-ci.org/stoiver/anuga_core.svg?branch=master
-    :target: https://travis-ci.org/stoiver/anuga_core
-
-
-============
 Installation
 ============
@@ -14,7 +9,11 @@
 ------------
 
-AnuGA is a python package with some C extensions (and an optional fortran extension). At present AnuGA has not been transported to python 3. We recommend using python 2.7. 
+AnuGA is a python package with some C extensions (and an optional fortran 
+extension). At present AnuGA has not been transported to python 3. 
+We recommend using python 2.7. 
 
-If you have a python 2.7 environment with gcc and gfortran support, then you can use easy_install to install the latest release version of AnuGA. 
+If you have a python 2.7 environment with gcc and gfortran support, 
+then you can use easy_install to install the latest release 
+version of AnuGA. 
 
 
@@ -22,5 +21,7 @@
 ------------------
 
-A safe way to install AnuGA is to use a separate python environment to isolate it from the rest of your system. Miniconda provides such an environment. 
+A safe way to install AnuGA is to use a separate python environment 
+to isolate it from the rest of your system. Miniconda provides such 
+an environment. 
 
 
Index: /trunk/anuga_core/MANIFEST.in
===================================================================
--- /trunk/anuga_core/MANIFEST.in	(revision 9635)
+++ /trunk/anuga_core/MANIFEST.in	(revision 9635)
@@ -0,0 +1,9 @@
+include *.rst
+recursive-include doc *
+recursive-include examples *
+recursive-include sklearn *.c *.h *.pyx *.pxd *.pxi
+recursive-include sklearn/datasets *.csv *.csv.gz *.rst *.jpg *.txt
+include COPYING
+include AUTHORS.rst
+include README.rst
+
Index: /trunk/anuga_core/README.rst
===================================================================
--- /trunk/anuga_core/README.rst	(revision 9634)
+++ /trunk/anuga_core/README.rst	(revision 9635)
@@ -11,9 +11,11 @@
 --------------
 
-AnuGA (pronounced "AN uu GA") is open-source software for the simulation of
+AnuGA (pronounced "AHNooGAH") is open-source software for the simulation of
 the shallow water equation, in particular it can be used to model tsunamis
 and floods.
 
-AnuGA is a python package with some C extensions (and an optional fortran extension). At present AnuGA has not been ported to python 3. We recommend using python 2.7  
+AnuGA is a python package with some C extensions (and an optional 
+fortran extension). At present AnuGA has not been ported to python 3. 
+We recommend using python 2.7  
 
 Developed at the Risk Assessment Methods Project at Geoscience
Index: /trunk/anuga_core/setup.py
===================================================================
--- /trunk/anuga_core/setup.py	(revision 9634)
+++ /trunk/anuga_core/setup.py	(revision 9635)
@@ -5,15 +5,16 @@
     and outflow, and then the simulation is run.
 
-    This is the public API to ANUGA. It provides a toolkit of often-used
-    modules, which can be used directly by including the following line in
-    the user's code:
-
-    import anuga
-        
-    This usage pattern abstracts away the internal heirarchy of the ANUGA
-    system, allowing the user to concentrate on writing simulations without
-    searching through the ANUGA source tree for the functions that they need.
-    
-    Also, it isolates the user from "under-the-hood" refactorings.
+    AnuGA is a python package with some C extensions
+    (and an optional fortran extension). At present AnuGA has not been
+     ported to python 3. We recommend using python 2.7  
+
+    Developed at the Risk Assessment Methods Project at Geoscience
+    Australia and Mathematical Sciences Institute at the Australian
+    National University.
+
+
+Copyright 2004, 2005, 2006, 2015 
+Ole Nielsen, Stephen Roberts, Duncan Gray, Jane Sexton, Gareth Davies
+
 """
 
@@ -183,4 +184,8 @@
     write_version_py()
 
+
+    with open('README.rst') as file:
+        long_description = file.read()
+    
     metadata = dict(
         name = 'anuga',
@@ -188,5 +193,5 @@
         maintainer_email = "anuga-user@lists.sourceforge.net",
         description = DOCLINES[0],
-        long_description = "\n".join(DOCLINES[2:]),
+        long_description = long_description,
         url = "http://anuga.anu.edu.au",
         author = "Stephen Roberts, Ole Nielsen et al.",