Index: /trunk/anuga_core/LICENCE.txt
===================================================================
--- /trunk/anuga_core/LICENCE.txt	(revision 9641)
+++ /trunk/anuga_core/LICENCE.txt	(revision 9641)
@@ -0,0 +1,54 @@
+=======================================	
+ANUGA Hydrodynamic Inundation Modelling
+=======================================	
+
+
+Copyright 2004, 2005, 2006, 2007, 2008, 2009, 2010 Australian National University and Geoscience Australia. All rights reserved.
+
+
+Permission to use, copy, modify, and distribute this software for any
+purpose without fee is hereby granted under the terms of the GNU
+General Public License as published by the Free Software Foundation;
+either version 2 of the License, or (at your option) any later
+version, provided that this entire notice is included in all copies
+of any software which is or includes a copy or modification of this
+software and in all copies of the supporting documentation for such
+software.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License (http://www.gnu.org/copyleft/gpl.html)
+for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program; if not, write to the Free Software
+Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
+
+
+
+This work was produced at Geoscience Australia and the Australian
+National University funded by the Commonwealth of Australia. Neither
+the Australian Government, the Australian National University,
+Geoscience Australia nor any of their employees, makes any warranty,
+express or implied, or assumes any liability or responsibility for
+the accuracy, completeness, or usefulness of any information,
+apparatus, product, or process disclosed, or represents that its use
+would not infringe privately-owned rights. Reference herein to any
+specific commercial products, process, or service by trade name,
+trademark, manufacturer, or otherwise, does not necessarily
+constitute or imply its endorsement, recommendation, or favoring by
+the Australian Government, Geoscience Australia or the Australian
+National University.  The views and opinions of authors expressed
+herein do not necessarily state or reflect those of the Australian
+Government, Geoscience Australia or the Australian National
+University, and shall not be used for advertising or product
+endorsement purposes.
+
+
+This document does not convey a warranty, express or implied,
+of merchantability or fitness for a particular purpose.
+
+
+
+
Index: unk/anuga_core/LICENSE.txt
===================================================================
--- /trunk/anuga_core/LICENSE.txt	(revision 9640)
+++ 	(revision )
@@ -1,54 +1,0 @@
-=======================================	
-ANUGA Hydrodynamic Inundation Modelling
-=======================================	
-
-
-Copyright 2004, 2005, 2006, 2007, 2008, 2009, 2010 Australian National University and Geoscience Australia. All rights reserved.
-
-
-Permission to use, copy, modify, and distribute this software for any
-purpose without fee is hereby granted under the terms of the GNU
-General Public License as published by the Free Software Foundation;
-either version 2 of the License, or (at your option) any later
-version, provided that this entire notice is included in all copies
-of any software which is or includes a copy or modification of this
-software and in all copies of the supporting documentation for such
-software.
-
-This program is distributed in the hope that it will be useful,
-but WITHOUT ANY WARRANTY; without even the implied warranty of
-MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License (http://www.gnu.org/copyleft/gpl.html)
-for more details.
-
-You should have received a copy of the GNU General Public License
-along with this program; if not, write to the Free Software
-Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
-
-
-
-This work was produced at Geoscience Australia and the Australian
-National University funded by the Commonwealth of Australia. Neither
-the Australian Government, the Australian National University,
-Geoscience Australia nor any of their employees, makes any warranty,
-express or implied, or assumes any liability or responsibility for
-the accuracy, completeness, or usefulness of any information,
-apparatus, product, or process disclosed, or represents that its use
-would not infringe privately-owned rights. Reference herein to any
-specific commercial products, process, or service by trade name,
-trademark, manufacturer, or otherwise, does not necessarily
-constitute or imply its endorsement, recommendation, or favoring by
-the Australian Government, Geoscience Australia or the Australian
-National University.  The views and opinions of authors expressed
-herein do not necessarily state or reflect those of the Australian
-Government, Geoscience Australia or the Australian National
-University, and shall not be used for advertising or product
-endorsement purposes.
-
-
-This document does not convey a warranty, express or implied,
-of merchantability or fitness for a particular purpose.
-
-
-
-
Index: /trunk/anuga_core/MANIFEST.in
===================================================================
--- /trunk/anuga_core/MANIFEST.in	(revision 9640)
+++ /trunk/anuga_core/MANIFEST.in	(revision 9641)
@@ -4,5 +4,5 @@
 include LICENCE.txt
 recursive-include tools *
-recursive-include user_manual *
+recursive-include doc *
 recursive-include examples *
 recursive-include anuga *
Index: /trunk/anuga_core/anuga/__init__.py
===================================================================
--- /trunk/anuga_core/anuga/__init__.py	(revision 9640)
+++ /trunk/anuga_core/anuga/__init__.py	(revision 9641)
@@ -24,9 +24,31 @@
 test = Tester().test
 
+
+# PEP0440 compatible formatted version, see:
+# https://www.python.org/dev/peps/pep-0440/
+#
+# Generic release markers:
+# X.Y
+# X.Y.Z # For bugfix releases
+#
+# Admissible pre-release markers:
+# X.YaN # Alpha release
+# X.YbN # Beta release
+# X.YrcN # Release Candidate
+# X.Y # Final release
+#
+# Dev branch marker is: 'X.Y.dev' or 'X.Y.devN' where N is an integer.
+#
+__version__ = '1.3.5'
+
+__svn_revision__ = filter(str.isdigit, "$Revision$")
+
 #from anuga.__metadata__ import  __date__, __author__
 
-from .version import git_revision as __git_revision__
-from .version import svn_revision as __svn_revision__
-from .version import version as __version__
+#from .version import git_revision as __git_revision__
+#from .version import svn_revision as __svn_revision__
+
+
+
 
 
Index: /trunk/anuga_core/anuga/pymetis/metis-4.0/metis.h
===================================================================
--- /trunk/anuga_core/anuga/pymetis/metis-4.0/metis.h	(revision 9640)
+++ /trunk/anuga_core/anuga/pymetis/metis-4.0/metis.h	(revision 9641)
@@ -19,6 +19,9 @@
 #include <malloc.h>
 #endif
+#ifdef _WIN32
+#include <string.h>
+#else
 #include <strings.h>
-#include <string.h>
+#endif
 #include <ctype.h>
 #include <math.h>
Index: /trunk/anuga_core/anuga/tsunami_source/setup.py
===================================================================
--- /trunk/anuga_core/anuga/tsunami_source/setup.py	(revision 9640)
+++ /trunk/anuga_core/anuga/tsunami_source/setup.py	(revision 9641)
@@ -16,7 +16,7 @@
     config.add_data_dir(join('tests','data'))
 
-
-    config.add_extension('okada_tsunami_fortran',
-                         sources=['okada_tsunami_fortran.f'])
+    if sys.platform != 'win32':
+        config.add_extension('okada_tsunami_fortran',
+                            sources=['okada_tsunami_fortran.f'])
 
     
Index: /trunk/anuga_core/anuga/utilities/util_ext.h
===================================================================
--- /trunk/anuga_core/anuga/utilities/util_ext.h	(revision 9640)
+++ /trunk/anuga_core/anuga/utilities/util_ext.h	(revision 9641)
@@ -28,4 +28,7 @@
 #define P_ERROR_BUFFER_SIZE 65
 
+#ifdef _WIN32
+#define __func__ __FUNCTION__
+#endif
 
 // check that numpy array objects are C contiguous memory
@@ -58,4 +61,7 @@
 
 
+#ifdef _WIN32
+
+#else
 double max(double x, double y) {  
   //Return maximum of two doubles
@@ -72,5 +78,5 @@
   else return y;
 }
-
+#endif
 
 double sign(double x) {